Loading...
Searching...
No Matches
BALL::Exception::InvalidSize Class Reference

`#include <BALL/COMMON/exception.h>`

Inheritance diagram for BALL::Exception::InvalidSize:

## Public Member Functions

| InvalidSize (const char *file, int line, Size size=0)
Public Member Functions inherited from BALL::Exception::GeneralException
| GeneralException ()
| Default constructor.
| GeneralException (const char *file, int line)
| Constructor.
| GeneralException (const char *file, int line, const String &name, const String &message)
| Constructor.
| GeneralException (const GeneralException &exception)
| Copy constructor.
virtual | ~GeneralException () throw ()
| Destructor.
const char * | getName () const
| Returns the name of the exception.
const char * | getMessage () const
| Returns the error message of the exception.
void | setMessage (const std::string &message)
| Modify the exception's error message.
int | getLine () const
| Returns the line number where it occurred.
const char * | getFile () const
| Returns the file where it occurred.

## Protected Attributes

Size | size_
const char * | file_
int | line_
std::string | name_
std::string | message_

## Detailed Description

Invalid Size Throw this exception to indicate that a size was unexpected. The constructor has an additional argument: the value of of the requested size.

Parameters

  size | the size causing the problem

Definition at line 201 of file COMMON/exception.h.

## Constructor & Destructor Documentation

## InvalidSize()

BALL::Exception::InvalidSize::InvalidSize | ( | const char * | file,
|  | int | line,
|  | Size | size = 0 )

## Member Data Documentation

## size_

Size BALL::Exception::InvalidSize::size_

protected

Definition at line 209 of file COMMON/exception.h.